<template>
<div class="tile is-ancestor">
    <div class="tile">
      <div class="tile is-parent is-vertical">
        <article class="tile is-child notification is-info">
	<p class="title">
	   <b-icon
                icon="apple"
                size="is-large">
            </b-icon> iOS</p>
          <p class="subtitle">{{$t('downloads.ios.title')}}</p>
	  <div class="content">
	  <b-button tag="router-link"
                to="/beta/register"
                type="is-link"
		icon-left="account-plus">
                {{ $t('RegisterBeta.title') }}
            </b-button>
	    <br />
    	    <br />
	  <a href="https://testflight.apple.com/join/mbNLAcmw">
		<b-button
		inverted
                outlined
                type="is-primary"
		icon-left="download">
		{{ $t('downloads.download') }}
		</b-button>
          </a>
         </div>
	</article>
        <article class="tile is-child notification is-primary">
          <p class="title"> <b-icon
                icon="desktop-mac"
                size="is-large">
            </b-icon> {{$t('downloads.desktop.title')}}</p>
          <p class="subtitle">{{$t('downloads.desktop.subtitle')}}</p>
        </article>
      </div>
    </div>

  <div class="tile is-parent">
    <article class="tile is-child notification is-success">
      <div class="content">
	<p class="title"><b-icon
                icon="android"
                size="is-large">
            </b-icon> Android</p>
        <p class="subtitle">{{$t('downloads.android.title')}}</p>
        <div class="content">
          <!-- Content -->
	  
	  <a :href="downloadURLAndroid"><b-button 
                inverted
                outlined
                type="is-primary"
		icon-left="download">
		{{ $t('downloads.download') }}
          </b-button></a>
<!-- <iframe class="subtitle" src="https://dl.messenkrypt.com/minio/apk-beta/" frameborder="0" style="overflow:hidden;height:500px;width:150%" height="150%" width="150%"></iframe>-->
        </div>
      </div>
    </article>
  </div>
</div>

</template>

<script>
export default {
    data (){
	return {
	  downloadURLAndroid: process.env.VUE_APP_DOWNLOAD_ANDROID
	}
    }
}
</script>
